/*--------------------------------------------------------------------------
  (c) Vinod Dahiya & Hemant Kumar
----------------------------------------------------------------------------
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
--------------------------------------------------------------------------*/


#ifndef PAGE_STATE_H__
#define PAGE_STATE_H__

/*######################### Structures ############################*/
struct page_state{
	gint save_state;
	gint edit_state;
	gchar filename[50];
	gchar *absolute_filename;
	gint instruction_enable;
	gint condition_enable;
	gint hexpad_enable;
	gint a_enable,b_enable,c_enable,d_enable,e_enable,h_enable,l_enable,m_enable;
	gint sp_enable,psw_enable;
	gint column;
	gint row;
	gint op_complete;
	gint if_new_file;
};

/*###################### Globals ###########################*/
extern gint instruction_enable;
extern gint condition_enable;
extern gint hexpad_enable;
extern gint a_enable,b_enable,c_enable,d_enable,e_enable,h_enable,l_enable,m_enable;
extern gint sp_enable,psw_enable;
extern gint column;
extern gint row;      /*to track the current position of arrow*/
extern gint op_complete; /*to check if the operation on the row is complete*/

extern gint save_state;
extern gint edit_state;
extern gchar filename[50];
extern gchar *absolute_filename;
extern gint if_new_file;
extern gint new_file;

/*##################### Functions ##########################*/
extern void set_state_data(GtkWidget *label);
extern void get_state_data(GtkWidget *label);

#endif /*PAGE_STATE_H__*/
